<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: /home/x/siggen/exec/src/main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('main_8cpp.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;SigGenLib.h&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;Logging.h&quot;</code><br />
</div>
<p><a href="main_8cpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a6a7b0d312786823650a6f0b9ff0f934e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934e">ReturnCodes</a> : int { <br />
&#160;&#160;<a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934eae0aa021e21dddbd6d8cecec71e9cf564">ReturnCodes::OK</a> = 0, 
<a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934ea483616ae6efa01b5ab2c9a7f63f84d68">ReturnCodes::QuitOnHelp</a> = 1, 
<a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934ea636bc5ca1e0ceb3e4c67067618d7ae09">ReturnCodes::InvalidConfig</a> = 2, 
<a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934ea29762b5e39352a9bcc54410794cd22ed">ReturnCodes::UnexpectedConfigException</a> = 3, 
<br />
&#160;&#160;<a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934ea373af888b05b0b5bfa1449b5140462e5">ReturnCodes::FailedProcessing</a> = 4, 
<a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934ea2e45ff89ee088fc180c39b608f318ff1">ReturnCodes::UnexpectedProcessingException</a> = 5
<br />
 }</td></tr>
<tr class="memdesc:a6a7b0d312786823650a6f0b9ff0f934e"><td class="mdescLeft">&#160;</td><td class="mdescRight">possible return codes from executable  <a href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934e">More...</a><br /></td></tr>
<tr class="separator:a6a7b0d312786823650a6f0b9ff0f934e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top"><a id="a0ddf1224851353fc92bfbff6f499fa97"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>main</b> (int argc, char *argv[])</td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section author"><dt>Author</dt><dd>Mojmir Svoboda </dd></dl>

<p class="definition">Definition in file <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a6a7b0d312786823650a6f0b9ff0f934e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a7b0d312786823650a6f0b9ff0f934e">&#9670;&nbsp;</a></span>ReturnCodes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="main_8cpp.html#a6a7b0d312786823650a6f0b9ff0f934e">ReturnCodes</a> : int</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>possible return codes from executable </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6a7b0d312786823650a6f0b9ff0f934eae0aa021e21dddbd6d8cecec71e9cf564"></a>OK&#160;</td><td class="fielddoc"><p>success </p>
</td></tr>
<tr><td class="fieldname"><a id="a6a7b0d312786823650a6f0b9ff0f934ea483616ae6efa01b5ab2c9a7f63f84d68"></a>QuitOnHelp&#160;</td><td class="fielddoc"><p>help was invoked </p>
</td></tr>
<tr><td class="fieldname"><a id="a6a7b0d312786823650a6f0b9ff0f934ea636bc5ca1e0ceb3e4c67067618d7ae09"></a>InvalidConfig&#160;</td><td class="fielddoc"><p>command line is not valid </p>
</td></tr>
<tr><td class="fieldname"><a id="a6a7b0d312786823650a6f0b9ff0f934ea29762b5e39352a9bcc54410794cd22ed"></a>UnexpectedConfigException&#160;</td><td class="fielddoc"><p>unexpected configuration error </p>
</td></tr>
<tr><td class="fieldname"><a id="a6a7b0d312786823650a6f0b9ff0f934ea373af888b05b0b5bfa1449b5140462e5"></a>FailedProcessing&#160;</td><td class="fielddoc"><p>processing failed </p>
</td></tr>
<tr><td class="fieldname"><a id="a6a7b0d312786823650a6f0b9ff0f934ea2e45ff89ee088fc180c39b608f318ff1"></a>UnexpectedProcessingException&#160;</td><td class="fielddoc"><p>processing failed with unexpected error </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="main_8cpp_source.html#l00011">11</a> of file <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_3503f86ebac7e9741312f92017d9530a.html">exec</a></li><li class="navelem"><a class="el" href="dir_d408fef0c30248ad68c3603d46bec951.html">src</a></li><li class="navelem"><a class="el" href="main_8cpp.html">main.cpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
